### Hierarchy

- ListHeader

### Implements

- AfterContentInit

## Index

### Inputs

- skeleton

### Properties

- _skeleton
- columns
- selection
- wrapper

### Accessors

- skeleton

### Methods

- ngAfterContentInit
- updateChildren

## Properties

### Protected _skeleton

_skeleton: boolean = false

- Defined in src/structured-list/list-header.component.ts:52

### columns

@ContentChildren({"selector":"ListColumn"})
columns: QueryList<ListColumn>

- Defined in src/structured-list/list-header.component.ts:45

### selection

selection: boolean = false

- Defined in src/structured-list/list-header.component.ts:50

### wrapper

@HostBinding({"hostPropertyName":"class.bx--structured-list-thead"})
wrapper: boolean = true

- Defined in src/structured-list/list-header.component.ts:33

## Accessors

### skeleton

@Input()
skeleton:

- Defined in src/structured-list/list-header.component.ts:36
- Defined in src/structured-list/list-header.component.ts:41

## Methods

### ngAfterContentInit

- ngAfterContentInit(): void

- - Defined in src/structured-list/list-header.component.ts:54

  #### Returns void

### Protected updateChildren

- updateChildren(): void

- - Defined in src/structured-list/list-header.component.ts:62

  #### Returns void

Generated using TypeDoc